Update a beneficiary of a plan Run in API Explorer
Ask AI
PUT
/api/v1/plans/{plan_uuid}/beneficiary/{uuid}
curl \
--request PUT 'https://api.plannrcrm.com/api/v1/plans/6ff8f7f6-1eb3-3525-be4a-3932c805afed/beneficiary/6ff8f7f6-1eb3-3525-be4a-3932c805afed' \
--header "Authorization: Bearer $ACCESS_TOKEN" \
--header "Content-Type: application/json" \
--header "X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}" \
--data '{"name":"John Smith","percentage":50.75}'
Request examples
# Headers
X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}
# Payload
{
"name": "John Smith",
"percentage": 50.75
}
Response examples (200)
{
"uuid": "d7480172-7ba4-4194-8107-de4cec0ce45d",
"created_at": "2026-04-30T17:33:15+01:00",
"updated_at": "2026-04-30T17:33:15+01:00",
"name": "Beneficiary name",
"percentage": 50,
"cover": {
"uuid": "68f2e14a-824a-4fe1-a81f-ea0795e34623",
"created_at": "2026-04-30T17:33:15+01:00",
"updated_at": "2026-04-30T17:33:15+01:00",
"cover_type": "critical_illness",
"benefit_amount": {
"amount": {
"example": "25000000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"formatted": {
"example": "£250,000.00",
"description": "Money amount formatted with currency"
},
"currency": {
"example": "GBP",
"description": "Currency of the money"
}
},
"benefit_frequency": "monthly",
"benefit_status": "active",
"excess": {
"amount": {
"example": "10000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"formatted": {
"example": "£100.00",
"description": "Money amount formatted with currency"
},
"currency": {
"example": "GBP",
"description": "Currency of the money"
}
},
"indexation": 1.4,
"client": "App\\Http\\Resources\\AccountResource"
}
}